org.codehaus.groovy.groovydoc

## Interface GroovyMemberDoc

All Superinterfaces:
  Comparable, GroovyDoc, GroovyProgramElementDoc

All Known Subinterfaces:
  GroovyConstructorDoc, GroovyExecutableMemberDoc, GroovyFieldDoc, GroovyMethodDoc

All Known Implementing Classes:
  SimpleGroovyConstructorDoc, SimpleGroovyExecutableMemberDoc, SimpleGroovyFieldDoc, SimpleGroovyMemberDoc, SimpleGroovyMethodDoc

    public interface GroovyMemberDoc
    extends GroovyProgramElementDoc

### Method Summary

Methods
`boolean` `isSynthetic()`

### Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyProgramElementDoc

`annotations, containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifiers, modifierSpecifier, qualifiedName`

### Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyDoc

`commentText, firstSentenceCommentText, getRawCommentText, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, setRawCommentText`

### Methods inherited from interface java.lang.Comparable

`compareTo`

### Method Detail

#### isSynthetic

    boolean isSynthetic()